---
title: Restart
url: https://docs.vultr.com/products/compute/instances/cloud-compute/management/restart-instance
description: Learn how to restart your Vultr Cloud Compute instance through the Vultr Console or API.
publish_date: 2024-09-23T20:19:53.414631Z
last_updated: 2026-05-26T18:42:54.374258Z
---

# How to Restart a Vultr Cloud Compute Instance

Restarting an instance performs a hard reboot, stopping all running processes before starting them again. It does not affect the instance's data or file system and allows application updates or configuration changes that require a reboot to take effect.

Follow this guide to restart a Vultr Cloud Compute instance using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute instance to open its management page.
    1. Click **Server Restart** on the top-right navigation menu to restart your server.
    1. Click **Restart Server** in the confirmation prompt to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reboot Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/reboot-instances) to restart the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/reboot" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_ids" : [
              "instance_id"
            ]
          }'
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Restart the instance.

        ```console
        $ vultr-cli instance restart <instance_id>
        ```
